List Orders
Get list of VA orders for a BIDV or Sacombank account via SePay API v2.
List Orders
GET
https://userapi.sepay.vn/v2/bank-accounts/{ba_xid}/ordersPath Parameters
| Parameter | Type | Description |
|---|---|---|
ba_xid | string (UUID) | Bank account UUID (must be a BIDV enterprise account) |
Query Parameters
| Parameter | Type | Description |
|---|---|---|
created_at_sort | string | asc or desc (default: desc) |
amount_sort | string | asc or desc |
Code Examples
>
>
>
curl --request GET \--url 'https://userapi.sepay.vn/v2/bank-accounts/f9e8d7c6-b5a4-3210-fedc-ba0987654321/orders?created_at_sort=SOME_STRING_VALUE&amount_sort=SOME_STRING_VALUE&page=SOME_INTEGER_VALUE&per_page=SOME_INTEGER_VALUE' \--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
Response
{
"status": "success",
"data": [
{
"id": "b1c2d3e4-f5a6-7890-bcde-f12345678901",
"order_code": "DH001",
"amount": 500000,
"paid_amount": 0,
"status": "Pending",
"created_at": "2026-03-10 10:00:00",
"updated_at": "2026-03-10 10:00:00",
"va": [
{
"va_number": "9704070012345678",
"va_holder_name": "NGUYEN VAN A",
"amount": 500000,
"status": "Unpaid",
"expired_at": "2026-03-11 10:00:00"
}
]
}
],
"meta": {
"pagination": {
"total": 25,
"per_page": 20,
"current_page": 1,
"last_page": 2,
"has_more": true
}
}
}
Response 200 - Order list
{
"status": "success",
"data": [
{
"id": "b2c3d4e5-f6a7-8901-bcde-f12345678902",
"order_code": "ORD123456789",
"amount": 1000000,
"paid_amount": 0,
"status": "Pending",
"created_at": "2025-12-18 08:15:00",
"bank_name": "BIDV",
"account_number": "1234567890",
"account_holder_name": "CONG TY CP TECH VINA",
"va": [
{
"va_number": "963NQDORD1234567890AB",
"va_holder_name": "CONG TY CP TECH VINA",
"amount": 1000000,
"status": "Unpaid",
"expired_at": "2025-12-19 08:15:00",
"paid_at": null
}
]
}
],
"meta": {
"pagination": {
"total": 25,
"per_page": 20,
"current_page": 1,
"last_page": 2,
"has_more": true
}
}
}Notes
idis the UUID of the orderamountandpaid_amountare integers- VA amounts are integers
- Supports BIDV and Sacombank